Package org.drinkless.tdlib

# Class TdApi.GroupCallMessageLevel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallMessageLevel

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallMessageLevel extends TdApi.Object
Represents a level of features for a message sent in a live story group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `backgroundColor`
  Background color for the message the RGB format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `firstColor`
  The first color used to show the message text in the RGB format.
  `int`
  `maxCustomEmojiCount`
  The maximum allowed number of custom emoji in the message text.
  `int`
  `maxTextLength`
  The maximum allowed length of the message text.
  `long`
  `minStarCount`
  The minimum number of Telegram Stars required to get features of the level.
  `int`
  `pinDuration`
  The amount of time the message of this level will be pinned, in seconds.
  `int`
  `secondColor`
  The second color used to show the message text in the RGB format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallMessageLevel()`
  Represents a level of features for a message sent in a live story group call.
  `GroupCallMessageLevel(long minStarCount, int pinDuration, int maxTextLength, int maxCustomEmojiCount, int firstColor, int secondColor, int backgroundColor)`
  Represents a level of features for a message sent in a live story group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### minStarCount

    public long minStarCount
    The minimum number of Telegram Stars required to get features of the level.

  - ### pinDuration

    public int pinDuration
    The amount of time the message of this level will be pinned, in seconds.

  - ### maxTextLength

    public int maxTextLength
    The maximum allowed length of the message text.

  - ### maxCustomEmojiCount

    public int maxCustomEmojiCount
    The maximum allowed number of custom emoji in the message text.

  - ### firstColor

    public int firstColor
    The first color used to show the message text in the RGB format.

  - ### secondColor

    public int secondColor
    The second color used to show the message text in the RGB format.

  - ### backgroundColor

    public int backgroundColor
    Background color for the message the RGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallMessageLevel

    public GroupCallMessageLevel()
    Represents a level of features for a message sent in a live story group call.

  - ### GroupCallMessageLevel

    public GroupCallMessageLevel(long minStarCount, int pinDuration, int maxTextLength, int maxCustomEmojiCount, int firstColor, int secondColor, int backgroundColor)
    Represents a level of features for a message sent in a live story group call.
    Parameters:
      `minStarCount` - The minimum number of Telegram Stars required to get features of the level.
      `pinDuration` - The amount of time the message of this level will be pinned, in seconds.
      `maxTextLength` - The maximum allowed length of the message text.
      `maxCustomEmojiCount` - The maximum allowed number of custom emoji in the message text.
      `firstColor` - The first color used to show the message text in the RGB format.
      `secondColor` - The second color used to show the message text in the RGB format.
      `backgroundColor` - Background color for the message the RGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR